<?php

use EventPortal\Domain\Event\Form\Models\Question;
use EventPortal\Domain\Event\Form\Models\FormStageSection;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Question::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->sentence,
        'type' => 1,
        'gdpr_type' => 1,
        'order' => $count = $count + 1,
        'form_stage_section_id' => static function (): int {
            return factory(FormStageSection::class)->create()->id;
        },
    ];
});

$factory->state(Question::class, 'help', static function (Faker $faker): array {
    return [
        'help' => $faker->sentence,
    ];
});
