<?php

namespace EventPortal\Http\Controllers\Admin\Event;

use EventPortal\Domain\Event\Actions\TransitionEvent;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use SM\SMException;

class EventTransitionController extends Controller
{
    public function __construct()
    {
        $this->middleware('check-permission:event.update');
    }

    public function __invoke(TransitionEvent $action): RedirectResponse
    {
        try {
            $action->execute(request()->event, request()->type);
            toast()->success(trans('event.transitioned'));
        } catch (SMException $exception) {
            report($exception);
            toast()->error(trans('event.error'));
        }

        return redirect()->route('admin.event.show', ['event' => request()->event]);
    }
}
