<?php

namespace EventPortal\Tests\Feature\Admin;

use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\TestCase;
use Illuminate\Http\Response;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class DashboardTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function dashboard_gets_correct_props()
    {
        $user = factory(User::class)->create();

        $this
            ->actingAs($user)
            ->get(route('admin.dashboard.index'))
            ->assertStatus(Response::HTTP_OK)
            ->assertPropValue('event', 'Hello World');
    }
}
