<?php

namespace EventPortal\Tests\Feature\Admin\User;

use Carbon\Carbon;
use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class UserIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test */
    public function users_are_listed_on_the_index()
    {
        Carbon::setTestNow('2020-07-03 16:00:00');

        $admin = factory(Admin::class)->state('snapshot')->create();

        $this->assertMatchesJsonSnapshot(
            $this
                ->actingAsSuperAdmin($admin)
                ->get(route('admin.user.index'))->props()
        );
    }
}
