<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Util\ValidationRules;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class ValidationRulesTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function can_get_validation_rules_for_form_with_model()
    {
        $fields = [
            Text::make('Name')->rules(['required']),
            Section::make('Contact Details')->fields([
                Text::make('Email')->rules(['required', 'email']),
                Text::make('Phone')->rules(['required', 'min:5', 'max:10']),
            ]),
        ];

        $actual = ValidationRules::for($fields);
        $expected = [
            'name' => ['required'],
            'email' => ['required', 'email'],
            'phone' => ['required', 'min:5', 'max:10'],
        ];

        $this->assertEquals($expected, $actual);
    }
}
